Subject: Re: dcache leak in 2.6.16-git8 II

From: Al Viro <[email-masked]>
Date: Thu, 30 Mar 2006 11:36:52 +0100

BTW, it allows even funnier stuff: instead of "I'd been allocated by <place>"
you can do "I'd passed through <place>".  E.g. if object has different states
you can slap slab_charge_here() in state transitions and /proc/slab_allocators
will count them separately, showing how many objects are in which state, etc.